Subject: Re: bug#32526: 26.1; Fetching of emails for INBOX hangs

From: Andy Moreton <[email-masked]>
Date: Sat, 13 Jul 2019 14:04:47 +0100

On Sat 13 Jul 2019, Lars Ingebrigtsen wrote:
> Your nnimap INBOX seems to use message IDs that overflow the 32-bit
> range.  This is something that nnimap just doesn't support
> unfortunately, so there will be hangs.
>
> The only way to work around this is to make the IMAP server renumber the
> articles to "compact" them.

If that is purely a limitation of the fixnum size on 32bit platforms,
then there two other options:

a) Build emacs configured with "--with-wide-int" so 32bit emacs uses a
   wider integer type (so fixnums are typically 62bit).

b) Build emacs from master which uses libgmp for arbitrary size
   integers.

   AndyM